FROM jboss/wildfly:10.1.0.Final
ADD https://gitlab.com/mobiletw/Gerente.tw-Docker/raw/master/Wildfly-Sincronizacao/standalone-custom.xml /opt/jboss/wildfly/standalone/configuration/
ADD https://gitlab.com/mobiletw/Gerente.tw-Docker/raw/master/Wildfly-Sincronizacao/GerenteTW-Sincronizador.war /opt/jboss/wildfly/standalone/deployments/GerenteTW-Sincronizador.war
RUN sed -i -- 's/JAVA_OPTS="-Xms64m -Xmx512m /JAVA_OPTS="-Xms8g -Xmx8g -Xss228k -XX:MaxPermSize=512m -XX:PermSize=256m -XX:NewRatio=3 -XX:NewSize=448m -XX:MaxNewSize=448m -XX:SurvivorRatio=6 /g' /opt/jboss/wildfly/bin/standalone.conf
RUN echo "JAVA_OPTS=\"\${JAVA_OPTS} -server -XX:+UseG1GC -XX:+UseLargePages -Dsun.rmi.dgc.client.gcInterval=3600000 -Dsun.rmi.dgc.server.gcInterval=3600000 \"" >> /opt/jboss/wildfly/bin/standalone.conf
USER root
RUN chown jboss.jboss /opt/jboss/wildfly/standalone/configuration/standalone-custom.xml
RUN chmod 644 /opt/jboss/wildfly/standalone/configuration/standalone-custom.xml
RUN chown jboss.jboss /opt/jboss/wildfly/standalone/deployments/GerenteTW-Sincronizador.war
RUN chmod 777 /opt/jboss/wildfly/standalone/deployments/GerenteTW-Sincronizador.war
USER jboss
RUN /opt/jboss/wildfly/bin/add-user.sh supervisor jbossadmin --silent
CMD ["/opt/jboss/wildfly/bin/standalone.sh", "-c", "standalone-custom.xml", "-b", "0.0.0.0", "-bmanagement", "0.0.0.0"]
